Issue2836

classification
Title: Java Swing library works only in interactive jython session
Type: Severity: normal
Components: Core Versions: Jython 2.7.2
Milestone: Jython 2.7.2
process
Status: pending Resolution: fixed
Dependencies: Superseder:
Assigned To: jeff.allen Nosy List: jeff.allen, r_walter
Priority: normal Keywords:

Created on 2019-11-20.14:33:46 by r_walter, last changed 2019-12-24.15:08:11 by jeff.allen.

Messages
msg12782 (view) Author: Roland Walter (r_walter) Date: 2019-11-20.14:33:46
When calling the swing demo simple.py with jython 2.7.2b2 the window with the button stays only open when I call jython with the '-i' switch.

sys.version = '2.7.2b2 (v2.7.2b2:b9b60766cabe, Nov 1 2019, 07:46:45) \n[OpenJDK 64-Bit Server VM ()]'

OS is Windows 10 64 bit.
Java is OpenJDK 1.8.0_232 from ojdkbuild project on github.
msg12784 (view) Author: Roland Walter (r_walter) Date: 2019-11-20.14:36:57
This does not happen for jython 2.7.1.
msg12868 (view) Author: Jeff Allen (jeff.allen) Date: 2019-12-22.07:38:13
This is interesting as it exercises the problem of call-back into a program where the main thread has terminated from a thread it started (the AWT event loop in this case).

I think the refactored jython.java is too successful at shutting things down when it comes to its end.
msg12888 (view) Author: Jeff Allen (jeff.allen) Date: 2019-12-24.15:08:11
Now fixed at https://hg.python.org/jython/rev/069db4761b37 (I claim).
History
Date User Action Args
2019-12-24 15:08:11jeff.allensetstatus: open -> pending
assignee: jeff.allen
resolution: accepted -> fixed
messages: + msg12888
2019-12-22 07:38:13jeff.allensetpriority: normal
resolution: accepted
messages: + msg12868
nosy: + jeff.allen
milestone: Jython 2.7.2
2019-11-20 14:36:57r_waltersetmessages: + msg12784
2019-11-20 14:33:46r_waltercreate